import { OnInit, OnChanges, ElementRef, EventEmitter, SimpleChanges } from '@angular/core';
import { CommandExecutorService } from './common/services/command-executor.service';
import { MessageService } from './common/services/message.service';
import * as Utils from './common/utils/ngx-editor.utils';
export declare class NgxEditorComponent implements OnInit, OnChanges {
    private _elementRef;
    private _messageService;
    private _commandExecutor;
    editable: boolean;
    spellcheck: boolean;
    placeholder: string;
    translate: string;
    height: string;
    minHeight: string;
    width: string;
    minWidth: string;
    toolbar: any;
    html: string;
    resizer: string;
    config: {
        editable: boolean;
        spellcheck: boolean;
        height: string;
        minHeight: string;
        width: string;
        minWidth: string;
        translate: string;
        placeholder: string;
        toolbar: string[][];
    };
    textArea: any;
    htmlChange: EventEmitter<string>;
    enableToolbar: boolean;
    Utils: typeof Utils;
    lastViewModel: any;
    constructor(_elementRef: ElementRef, _messageService: MessageService, _commandExecutor: CommandExecutorService);
    onFocus(): void;
    onDocumentClick(event: any): void;
    onContentChange(html: any): void;
    onBlur(html: any): void;
    resizeTextArea(offsetY: number): void;
    executeCommand(commandName: string): void;
    refreshView(): void;
    update(value: any): void;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
}
